import usb
import pygame
import time
import datetime
#import random

playlist=["1.wav","2.wav","3.wav"]
VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1
VENDOR_RQ_GET_LIGHT = 2

def switch_status(): #check switch status 
 req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
 sta=handle.controlMsg(req, 1, 1)
 return sta

def read_volt(): #read vol
 req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
 res = handle.controlMsg(req, 2, 2)
 tmp = (res[0]*256)+res[1]
 vin = (5.0*tmp)/1024.0
 return vin

def set_led():
  req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
  handle.controlMsg(req, 0, None, 0x0100)
  time.sleep(0.25)
  handle.controlMsg(req, 0, None, 0x0000)
  time.sleep(0.25)
  handle.controlMsg(req, 0, None, 0x0101)
  time.sleep(0.25)
  handle.controlMsg(req, 0, None, 0x0001)
  time.sleep(0.25)
  handle.controlMsg(req, 0, None, 0x0102)
  time.sleep(0.25)
  handle.controlMsg(req, 0, None, 0x0002)
  time.sleep(0.25)

def set_led2(a):
  req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
  if a == 0:
   handle.controlMsg(req, 0, None, 0x0100)
   time.sleep(0.15)
   handle.controlMsg(req, 0, None, 0x0000)
   time.sleep(0.15)
  if a == 1:
   handle.controlMsg(req, 0, None, 0x0101)
   time.sleep(0.15)
   handle.controlMsg(req, 0, None, 0x0001)
   time.sleep(0.15)
  if a == 2:
   handle.controlMsg(req, 0, None, 0x0102)
   time.sleep(0.15)
   handle.controlMsg(req, 0, None, 0x0002)
   time.sleep(0.15)





def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None


ans='1'
while ans=='1':
 print """-----Menu-----
 1.start
 2.quit"""

 print 'Enter choice: ', 
 board = find_board()
 handle = board.open()
 ans=raw_input()
 while not (ans=='1' or ans =='2'):
  print """-----Menu-----
  1.start
  2.quit"""
  print 'Enter choice: ',
  ans=raw_input()
 sta=switch_status()
 if ans=='1':
  while (1):
   #st=read_volt()
   while 1:
    st=read_volt()
    if(st>1):
     break
    else:
     set_led()
   
   if sta[0]==1:
    break
   if(st>1):
    break
  date = datetime.datetime(time.localtime()[0], time.localtime()[1], time.localtime()[2], time.localtime()[3], time.localtime()[4], time.localtime()[5])
  if sta[0]!=1:
   print "Warning!!!!! ",
   print date
  while(1):
   #x=random.randint(0,7)
   x=int((read_volt()*1000000)%3)
   #print x
   pygame.mixer.init()
   pygame.mixer.music.load(playlist[x])
   pygame.mixer.music.play()
   pygame.mixer.music.rewind()
   while pygame.mixer.music.get_busy():
    sta=switch_status()
    y=int((read_volt()*1000000)%3)
    set_led2(y)
    if sta[0]==1:
     pygame.mixer.music.stop()
     break
   if sta[0]==1:
    break
      
   
  
 elif ans=='2':
  quit()




